de.esprit.appsuite.appstore.ndf

## Class FileEntry

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.appsuite.appstore.ndf.FileEntry

- All Implemented Interfaces:
    Dumpable

      public class FileEntry
      extends DumpableObject

  This class ...
  Author:
    Rainer Buesch

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `columnFileSize`
    `static java.lang.String` | `columnIsDir`
    `static java.lang.String` | `columnLastModified`
    `static java.lang.String` | `columnPathName`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FileEntry(java.io.File baseDir, boolean isDir, long lastModified, long fileSize, java.lang.String path)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `delete()`
    `DumpString` | `toDumpString(DumpString s)` This method allows subclasses to add values to the existing DumpString of the superclass.
    `ToString` | `toString(ToString s)` This method allows subclasses to add values to the existing ToString of the superclass.
    `void` | `validate()`

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### columnIsDir

          public static final java.lang.String columnIsDir

      See Also:
        Constant Field Values

    - #### columnLastModified

          public static final java.lang.String columnLastModified

      See Also:
        Constant Field Values

    - #### columnFileSize

          public static final java.lang.String columnFileSize

      See Also:
        Constant Field Values

    - #### columnPathName

          public static final java.lang.String columnPathName

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### FileEntry

          public FileEntry(java.io.File baseDir,
                   boolean isDir,
                   long lastModified,
                   long fileSize,
                   java.lang.String path)

  - ### Method Detail

    - #### validate

          public void validate()
                        throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### delete

          public void delete()
                      throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### toString

          public ToString toString(ToString s)

      Description copied from interface: `Dumpable`
      This method allows subclasses to add values to the existing ToString of the superclass. Usually subclasses only need to override this method.
      Specified by:
        `toString` in interface `Dumpable`
      Overrides:
        `toString` in class `DumpableObject`

    - #### toDumpString

          public DumpString toDumpString(DumpString s)

      Description copied from interface: `Dumpable`
      This method allows subclasses to add values to the existing DumpString of the superclass. Usually subclasses only need to override this method.
      Specified by:
        `toDumpString` in interface `Dumpable`
      Overrides:
        `toDumpString` in class `DumpableObject`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.